From: Angus Ainslie <angus@akkea.ca>
Date: Sat, 21 Nov 2020 19:27:56 -0800
Subject: wireless: redpine: fix COEX logic

As suggested by Marek Vasut <marex@denx.de> the COEX test should and
not an or.

Signed-off-by: Angus Ainslie <angus@akkea.ca>
---
 drivers/net/wireless/redpine/rsi_91x_hal.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/net/wireless/redpine/rsi_91x_hal.c b/drivers/net/wireless/redpine/rsi_91x_hal.c
index 492c0d9..f44d7e8 100644
--- a/drivers/net/wireless/redpine/rsi_91x_hal.c
+++ b/drivers/net/wireless/redpine/rsi_91x_hal.c
@@ -1893,7 +1893,7 @@ int redpine_hal_device_init(struct rsi_hw *adapter)
 		common->zb_fsm_state = ZB_DEVICE_NOT_READY;
 		break;
 	default:
-#if !defined(CONFIG_CARACALLA_BOARD) || !defined(CONFIG_RS9116_PURISM)
+#if !defined(CONFIG_CARACALLA_BOARD) && !defined(CONFIG_RS9116_PURISM)
 		common->oper_mode = 1;
 		common->coex_mode = 1;
 #else
